curl --request POST \
--url https://api.dintero.com/v1/accounts/{aid}/management/settings/connections/common \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"signup": {
"payment_options": [
{
"currencies": [
"NOK"
],
"type": "dintero.zero"
}
],
"store_type": [
"online"
],
"package": "Checkout 195 NOK/month + 1.5%",
"revenue": {
"currency": "NOK",
"yearly_revenue": "100.000-250.000 NOK",
"highest_transaction_amount": "500-1000 NOK",
"average_amount": "250-500 NOK",
"accept_prepaid": true,
"subscriptions_or_memberships": true,
"gift_cards": true,
"estimated_percentage_per_payment_type": [
{
"percentage": 50,
"type": "swish.swish"
}
]
},
"bank_accounts": [
{
"account_number": "<string>",
"account_number_type": "iban",
"bank_name": "<string>",
"account_statement_url": "https://example.dintero.com/c/photos/account_statement.pdf"
}
],
"ownership": {
"ownership_structure": "owners_with_more_than_25",
"owners": [
{
"name": "<string>",
"legal_name": "<string>",
"date_of_birth": "1990-09-20",
"social_security_number": "<string>",
"percentage": 25
}
]
},
"verifications": {
"terms_and_conditions": true,
"terms_and_conditions_url": "<string>",
"contact_information": true,
"payment_site": true,
"payment_site_url": "<string>",
"demo_site_url": "<string>",
"clear_pricing": true,
"payment_product_logos": true
},
"signature": {
"signatures": [
{
"name": "<string>",
"email": "<string>"
}
],
"politically_exposed_person": true,
"politically_exposed_associated": true
},
"applicant": {
"first_name": "John",
"last_name": "Doe",
"email": "customer@example.com",
"phone_number": "+4799999999",
"social_security_number": "<string>"
},
"company_information": {
"industry": "goods",
"company_category": "4722",
"mcc": {
"mcc": "<string>",
"range": {
"start": "<string>",
"end": "<string>",
"description": "<string>",
"reserved": true
},
"iso_description": "<string>",
"usda_description": "<string>",
"stripe_description": "<string>",
"stripe_code": "<string>",
"visa_description": "<string>",
"visa_req_clearing_name": "<string>"
},
"company_description": "<string>"
},
"payment_method_specific": {
"payex": {
"signup_url": "<string>"
}
}
}
}
'{
"signup": {
"payment_options": [
{
"currencies": [
"NOK"
],
"type": "dintero.zero"
}
],
"store_type": [
"online"
],
"created_at": "2023-11-07T05:31:56Z",
"package": "Checkout 195 NOK/month + 1.5%",
"revenue": {
"currency": "NOK",
"yearly_revenue": "100.000-250.000 NOK",
"highest_transaction_amount": "500-1000 NOK",
"average_amount": "250-500 NOK",
"accept_prepaid": true,
"subscriptions_or_memberships": true,
"gift_cards": true,
"estimated_percentage_per_payment_type": [
{
"percentage": 50,
"type": "swish.swish"
}
]
},
"bank_accounts": [
{
"account_number": "<string>",
"account_number_type": "iban",
"bank_name": "<string>",
"account_statement_url": "https://example.dintero.com/c/photos/account_statement.pdf"
}
],
"ownership": {
"ownership_structure": "owners_with_more_than_25",
"owners": [
{
"name": "<string>",
"legal_name": "<string>",
"date_of_birth": "1990-09-20",
"social_security_number": "<string>",
"percentage": 25,
"address": {
"address_line": "Sommerkroveien 34",
"postal_place": "Oslo",
"country": "NO",
"address_line_2": "PB 123",
"postal_code": "0349"
}
}
]
},
"verifications": {
"terms_and_conditions": true,
"terms_and_conditions_url": "<string>",
"contact_information": true,
"payment_site": true,
"payment_site_url": "<string>",
"demo_site_url": "<string>",
"clear_pricing": true,
"payment_product_logos": true
},
"signature": {
"signatures": [
{
"name": "<string>",
"email": "<string>"
}
],
"politically_exposed_person": true,
"politically_exposed_associated": true
},
"applicant": {
"first_name": "John",
"last_name": "Doe",
"email": "customer@example.com",
"phone_number": "+4799999999",
"social_security_number": "<string>"
},
"company_information": {
"industry": "goods",
"company_category": "4722",
"mcc": {
"mcc": "<string>",
"range": {
"start": "<string>",
"end": "<string>",
"description": "<string>",
"reserved": true
},
"iso_description": "<string>",
"usda_description": "<string>",
"stripe_description": "<string>",
"stripe_code": "<string>",
"visa_description": "<string>",
"visa_req_clearing_name": "<string>"
},
"company_description": "<string>"
},
"payment_method_specific": {
"payex": {
"signup_url": "<string>"
},
"instabank": {
"total_number_of_transactions": "<string>",
"total_volume_of_transactions": "<string>",
"finance_number_of_transactions": "<string>",
"finance_volume_of_transactions": "<string>"
},
"vipps": {
"signup_url": "<string>"
}
}
},
"created_at": "2023-11-07T05:31:56Z",
"created_by": "1c92f7e1-2897-4d46-bdcc-c127a914fb4e",
"updated_at": "2023-11-07T05:31:56Z",
"metadata": {},
"status": "pending",
"events": [
{
"status": "pending",
"event": "signature_required",
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"description": "Vipps awaiting signature",
"metadata": {
"signature_link": "https://sig.example.com/K34K244"
}
}
],
"schema": 123
}Initialize Common signup
Requires the account company to be configured with organization_number
PUT /management/settings
scopes:
curl --request POST \
--url https://api.dintero.com/v1/accounts/{aid}/management/settings/connections/common \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"signup": {
"payment_options": [
{
"currencies": [
"NOK"
],
"type": "dintero.zero"
}
],
"store_type": [
"online"
],
"package": "Checkout 195 NOK/month + 1.5%",
"revenue": {
"currency": "NOK",
"yearly_revenue": "100.000-250.000 NOK",
"highest_transaction_amount": "500-1000 NOK",
"average_amount": "250-500 NOK",
"accept_prepaid": true,
"subscriptions_or_memberships": true,
"gift_cards": true,
"estimated_percentage_per_payment_type": [
{
"percentage": 50,
"type": "swish.swish"
}
]
},
"bank_accounts": [
{
"account_number": "<string>",
"account_number_type": "iban",
"bank_name": "<string>",
"account_statement_url": "https://example.dintero.com/c/photos/account_statement.pdf"
}
],
"ownership": {
"ownership_structure": "owners_with_more_than_25",
"owners": [
{
"name": "<string>",
"legal_name": "<string>",
"date_of_birth": "1990-09-20",
"social_security_number": "<string>",
"percentage": 25
}
]
},
"verifications": {
"terms_and_conditions": true,
"terms_and_conditions_url": "<string>",
"contact_information": true,
"payment_site": true,
"payment_site_url": "<string>",
"demo_site_url": "<string>",
"clear_pricing": true,
"payment_product_logos": true
},
"signature": {
"signatures": [
{
"name": "<string>",
"email": "<string>"
}
],
"politically_exposed_person": true,
"politically_exposed_associated": true
},
"applicant": {
"first_name": "John",
"last_name": "Doe",
"email": "customer@example.com",
"phone_number": "+4799999999",
"social_security_number": "<string>"
},
"company_information": {
"industry": "goods",
"company_category": "4722",
"mcc": {
"mcc": "<string>",
"range": {
"start": "<string>",
"end": "<string>",
"description": "<string>",
"reserved": true
},
"iso_description": "<string>",
"usda_description": "<string>",
"stripe_description": "<string>",
"stripe_code": "<string>",
"visa_description": "<string>",
"visa_req_clearing_name": "<string>"
},
"company_description": "<string>"
},
"payment_method_specific": {
"payex": {
"signup_url": "<string>"
}
}
}
}
'{
"signup": {
"payment_options": [
{
"currencies": [
"NOK"
],
"type": "dintero.zero"
}
],
"store_type": [
"online"
],
"created_at": "2023-11-07T05:31:56Z",
"package": "Checkout 195 NOK/month + 1.5%",
"revenue": {
"currency": "NOK",
"yearly_revenue": "100.000-250.000 NOK",
"highest_transaction_amount": "500-1000 NOK",
"average_amount": "250-500 NOK",
"accept_prepaid": true,
"subscriptions_or_memberships": true,
"gift_cards": true,
"estimated_percentage_per_payment_type": [
{
"percentage": 50,
"type": "swish.swish"
}
]
},
"bank_accounts": [
{
"account_number": "<string>",
"account_number_type": "iban",
"bank_name": "<string>",
"account_statement_url": "https://example.dintero.com/c/photos/account_statement.pdf"
}
],
"ownership": {
"ownership_structure": "owners_with_more_than_25",
"owners": [
{
"name": "<string>",
"legal_name": "<string>",
"date_of_birth": "1990-09-20",
"social_security_number": "<string>",
"percentage": 25,
"address": {
"address_line": "Sommerkroveien 34",
"postal_place": "Oslo",
"country": "NO",
"address_line_2": "PB 123",
"postal_code": "0349"
}
}
]
},
"verifications": {
"terms_and_conditions": true,
"terms_and_conditions_url": "<string>",
"contact_information": true,
"payment_site": true,
"payment_site_url": "<string>",
"demo_site_url": "<string>",
"clear_pricing": true,
"payment_product_logos": true
},
"signature": {
"signatures": [
{
"name": "<string>",
"email": "<string>"
}
],
"politically_exposed_person": true,
"politically_exposed_associated": true
},
"applicant": {
"first_name": "John",
"last_name": "Doe",
"email": "customer@example.com",
"phone_number": "+4799999999",
"social_security_number": "<string>"
},
"company_information": {
"industry": "goods",
"company_category": "4722",
"mcc": {
"mcc": "<string>",
"range": {
"start": "<string>",
"end": "<string>",
"description": "<string>",
"reserved": true
},
"iso_description": "<string>",
"usda_description": "<string>",
"stripe_description": "<string>",
"stripe_code": "<string>",
"visa_description": "<string>",
"visa_req_clearing_name": "<string>"
},
"company_description": "<string>"
},
"payment_method_specific": {
"payex": {
"signup_url": "<string>"
},
"instabank": {
"total_number_of_transactions": "<string>",
"total_volume_of_transactions": "<string>",
"finance_number_of_transactions": "<string>",
"finance_volume_of_transactions": "<string>"
},
"vipps": {
"signup_url": "<string>"
}
}
},
"created_at": "2023-11-07T05:31:56Z",
"created_by": "1c92f7e1-2897-4d46-bdcc-c127a914fb4e",
"updated_at": "2023-11-07T05:31:56Z",
"metadata": {},
"status": "pending",
"events": [
{
"status": "pending",
"event": "signature_required",
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"description": "Vipps awaiting signature",
"metadata": {
"signature_link": "https://sig.example.com/K34K244"
}
}
],
"schema": 123
}Documentation Index
Fetch the complete documentation index at: https://docs.dintero.com/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication (token authentication) should be used for accessing the API.
Use Get Token to get an access token for client credentials. Pass the token in the request header:
Authorization: Bearer {access_token}where the access_token is JSON Web Tokens (JWT).
An id that uniquely identifies the account.
9Show child attributes
Common connection
Show child attributes
The date-time when the resource was created
The ID of the user/client created the resource
"1c92f7e1-2897-4d46-bdcc-c127a914fb4e"
The date-time when the resource was last updated
A set of key/value pairs that you can attach to a subscription object. It can be useful for storing additional information about the subscription in a structured format.
The status of the connection
pending, enabled, failed, declined List of events recorded, an event is created when the connection is updated with new status
Show child attributes
The version of the schema used for the connection